PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl Struct Reference

`#include <plask/filters/filter.hpp>`

Inheritance diagram for plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl:
[legend]
Collaboration diagram for plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl:
[legend]

## Public Member Functions
| FilterLazyDataImpl (const FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > > &filter, EnumType num, const shared_ptr< const MeshD< OutputSpaceType::DIM > > &dst_mesh, ExtraArgs... extra_args, InterpolationMethod method)
ValueType | at (std::size_t point_index) const override
| Get index-th value from vector.
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< ValueType >
virtual | ~LazyDataImpl ()
virtual DataVector< const ValueType > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< ValueType > | claim () const

## Public Attributes
DataSourceF | outerSourceData
std::vector< DataSourceF > | innerSourcesData
shared_ptr< const MeshD< OutputSpaceType::DIM > > | dst_mesh
EnumType | num

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< ValueType >
typedef ValueType | CellType

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename... ExtraArgs>
struct plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl

Definition at line 260 of file filter.hpp.

## Constructor & Destructor Documentation

## ◆ FilterLazyDataImpl()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::FilterLazyDataImpl | ( | const FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > > & | filter,
|  | EnumType | num,
|  | const shared_ptr< const MeshD< OutputSpaceType::DIM > > & | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method
| ) |  |
| inline

Definition at line 273 of file filter.hpp.

## Member Function Documentation

## ◆ at()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

ValueType plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::at | ( | std::size_t | index | ) | const
| inline override virtual

Get index-th value from vector.

Parameters

  index | should be a value from 0 to size()-1

Returns
  index-th value from vector

Implements plask::LazyDataImpl< ValueType >.

Definition at line 284 of file filter.hpp.

## ◆ size()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

std::size_t plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< ValueType >.

Definition at line 295 of file filter.hpp.

## Member Data Documentation

## ◆ dst_mesh

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

shared_ptr<const MeshD<OutputSpaceType::DIM> > plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::dst_mesh

Definition at line 267 of file filter.hpp.

## ◆ innerSourcesData

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

std::vector<DataSourceF> plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::innerSourcesData

Definition at line 264 of file filter.hpp.

## ◆ num

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

EnumType plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::num

Definition at line 271 of file filter.hpp.

## ◆ outerSourceData

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

DataSourceF plask::FilterBaseImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::FilterLazyDataImpl::outerSourceData

Definition at line 262 of file filter.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/filter.hpp